be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDDAYPERIODvalues

- java.lang.Object
- - java.lang.Enum<CDDAYPERIODvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDDAYPERIODvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDDAYPERIODvalues>

      public enum CDDAYPERIODvalues
      extends Enum<CDDAYPERIODvalues>

  Java class for CD-DAYPERIODvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-DAYPERIODvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="afterbreakfast"/>
           <enumeration value="afterdinner"/>
           <enumeration value="afterlunch"/>
           <enumeration value="aftermeal"/>
           <enumeration value="afternoon"/>
           <enumeration value="beforebreakfast"/>
           <enumeration value="beforedinner"/>
           <enumeration value="beforelunch"/>
           <enumeration value="betweenbreakfastandlunch"/>
           <enumeration value="betweendinnerandsleep"/>
           <enumeration value="betweenlunchanddinner"/>
           <enumeration value="betweenmeals"/>
           <enumeration value="evening"/>
           <enumeration value="morning"/>
           <enumeration value="night"/>
           <enumeration value="thehourofsleep"/>
           <enumeration value="duringbreakfast"/>
           <enumeration value="duringlunch"/>
           <enumeration value="duringdinner"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTERBREAKFAST`
    `AFTERDINNER`
    `AFTERLUNCH`
    `AFTERMEAL`
    `AFTERNOON`
    `BEFOREBREAKFAST`
    `BEFOREDINNER`
    `BEFORELUNCH`
    `BETWEENBREAKFASTANDLUNCH`
    `BETWEENDINNERANDSLEEP`
    `BETWEENLUNCHANDDINNER`
    `BETWEENMEALS`
    `DURINGBREAKFAST`
    `DURINGDINNER`
    `DURINGLUNCH`
    `EVENING`
    `MORNING`
    `NIGHT`
    `THEHOUROFSLEEP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDDAYPERIODvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDDAYPERIODvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDDAYPERIODvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AFTERBREAKFAST

          public static final CDDAYPERIODvalues AFTERBREAKFAST

    - #### AFTERDINNER

          public static final CDDAYPERIODvalues AFTERDINNER

    - #### AFTERLUNCH

          public static final CDDAYPERIODvalues AFTERLUNCH

    - #### AFTERMEAL

          public static final CDDAYPERIODvalues AFTERMEAL

    - #### AFTERNOON

          public static final CDDAYPERIODvalues AFTERNOON

    - #### BEFOREBREAKFAST

          public static final CDDAYPERIODvalues BEFOREBREAKFAST

    - #### BEFOREDINNER

          public static final CDDAYPERIODvalues BEFOREDINNER

    - #### BEFORELUNCH

          public static final CDDAYPERIODvalues BEFORELUNCH

    - #### BETWEENBREAKFASTANDLUNCH

          public static final CDDAYPERIODvalues BETWEENBREAKFASTANDLUNCH

    - #### BETWEENDINNERANDSLEEP

          public static final CDDAYPERIODvalues BETWEENDINNERANDSLEEP

    - #### BETWEENLUNCHANDDINNER

          public static final CDDAYPERIODvalues BETWEENLUNCHANDDINNER

    - #### BETWEENMEALS

          public static final CDDAYPERIODvalues BETWEENMEALS

    - #### EVENING

          public static final CDDAYPERIODvalues EVENING

    - #### MORNING

          public static final CDDAYPERIODvalues MORNING

    - #### NIGHT

          public static final CDDAYPERIODvalues NIGHT

    - #### THEHOUROFSLEEP

          public static final CDDAYPERIODvalues THEHOUROFSLEEP

    - #### DURINGBREAKFAST

          public static final CDDAYPERIODvalues DURINGBREAKFAST

    - #### DURINGLUNCH

          public static final CDDAYPERIODvalues DURINGLUNCH

    - #### DURINGDINNER

          public static final CDDAYPERIODvalues DURINGDINNER

  - ### Method Detail

    - #### values

          public static CDDAYPERIODvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDDAYPERIODvalues c : CDDAYPERIODvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDDAYPERIODvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDDAYPERIODvalues fromValue(String v)

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.